import com.imsl.stat.*;
import com.imsl.math.*;


public class ANOVAEx1 {
    public static void main(String args[]) {
        double y[][] = {
            {101, 105, 94},
            {84, 88},
            {32}
        };
        ANOVA anova = new ANOVA(y);
        double aov[] = anova.getArray();
        
        System.out.println("Degrees Of Freedom For Model = "+ aov[0]);
        System.out.println("Degrees Of Freedom For Error = "+ aov[1]);
        System.out.println("Total (Corrected) Degrees Of Freedom = "+ aov[2]);
        System.out.println("Sum Of Squares For Model = "+ aov[3]);
        System.out.println("Sum Of Squares For Error = "+ aov[4]);
        System.out.println("Total (Corrected) Sum Of Squares = "+ aov[5]);
        System.out.println("Model Mean Square = "+ aov[6]);
        System.out.println("Error Mean Square = "+ aov[7]);
        System.out.println("F statistic = "+ aov[8]);
        System.out.println("P value= "+ aov[9]);
        System.out.println("R Squared (in percent) = "+ aov[10]);
        System.out.println("Adjusted R Squared (in percent) = "+ aov[11]);
        System.out.println("Model Error Standard deviation = "+ aov[12]);
        System.out.println("Mean Of Y = "+ aov[13]);
        System.out.println("Coefficient Of Variation (in percent) = "+ aov[14]);
        System.out.println("Total number of missing values = " +
        anova.getTotalMissing());
        
        PrintMatrixFormat pmf = new PrintMatrixFormat();
        String labels[] = { "Group", "N", "Mean", "Std. Deviation"};
        pmf.setColumnLabels(labels);
        pmf.setNumberFormat(null);
        new PrintMatrix("Group Information").print(pmf,
        anova.getGroupInformation());
    }
}
